import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class Main {
  static EntityManagerFactory emf = Persistence.createEntityManagerFactory("JPAService");

  static EntityManager em = emf.createEntityManager();

  public static void main(String[] a) throws Exception {
    em.getTransaction().begin();

    em.createQuery("DELETE FROM Department d WHERE d.name IN ('CA13', 'CA19', 'NY30')")
        .executeUpdate();

    em.getTransaction().commit();
    em.close();
    emf.close();

    Helper.checkData();
  }
}